undefined method `deep_symbolize_keys' for "تعليقات":String

2012-01-08 09:55 - Ahmad AlTwaijiry

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi

I'm trying to translate redmine to Arabic and the yml syntax is good but I keep getting this error which is strange and I'm not expert in

redmine

URL: http://smartdata.com.sa/pm/

undefined method `deep_symbolize_keys' for "تعليقات":String

Error message:

undefined method `deep_symbolize_keys' for "تعليقات":String

Exception class:

NoMethodError

Application root:

/home/smartdat/redmine/

Backtrace:     #     File     Line     Location

0     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/simple.rb     32     in `store_translations'

1     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/base.rb     158     in `load_file'

2     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/base.rb     158     in `each'

3     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/base.rb     158     in `load_file'

4     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/base.rb     15     in `load_translations'

5     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/base.rb     15     in `each'

6     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/base.rb     15     in `load_translations'

7     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/simple.rb     55     in `init_translations'

8     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/backend/simple.rb     38     in `available_locales'

9     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n/config.rb     39     in `available_locales'

10     /usr/lib/ruby/gems/1.8/gems/i18n-0.5.0/lib/i18n.rb     31     in `available_locales'

11     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     226     in `valid_locale?'

12     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     243     in `parse_extensions'

13     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     233     in `split'

14     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     118     in `initialize'

15     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     92     in `new'

16     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     92     in `create_template'

17     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     87     in `templates_in_path'

18     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     86     in `each'

19     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     86     in `templates_in_path'

20     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/template.rb     69     in `load!'

21     /home/smartdat/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb     173     in `to_proc'

22     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/paths.rb     40     in `each'

23     /home/smartdat/redmine/vendor/rails/actionpack/lib/action_view/paths.rb     40     in `load!'

24     /home/smartdat/redmine/vendor/rails/railties/lib/initializer.rb     402     in `load_view_paths'

25     /home/smartdat/redmine/vendor/rails/railties/lib/initializer.rb     194     in `process'

26     /home/smartdat/redmine/vendor/rails/railties/lib/initializer.rb     113     in `send'

27     /home/smartdat/redmine/vendor/rails/railties/lib/initializer.rb     113     in `run'

28     /home/smartdat/redmine/config/environment.rb     24

29     /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb     29     in `gem_original_require'

30     /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb     29     in `require'

31     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/classic_rails/application_spawner.rb     222     in

`preload_application'

32     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/classic_rails/application_spawner.rb     181     in

`initialize_server'
33     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/utils.rb     572     in `report_app_init_status'

34     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/classic_rails/application_spawner.rb     174     in

`initialize_server'

35     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb     204     in `start_synchronously'

36     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb     180     in `start'

37     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/classic_rails/application_spawner.rb     149     in `start'

38     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb     219     in `spawn_rails_application'

39     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server_collection.rb     132     in `lookup_or_add'

40     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb     214     in `spawn_rails_application'

41     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server_collection.rb     82     in `synchronize'

42     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server_collection.rb     79     in `synchronize'

43     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb     213     in `spawn_rails_application'

44     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb     132     in `spawn_application'

45     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb     275     in

`handle_spawn_application'

46     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb     357     in `__send__'

47     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb     357     in `server_main_loop'

48     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb     206     in `start_synchronously'

49     /usr/lib/ruby/gems/1.8/gems/passenger-3.0.9/helper-scripts/passenger-spawn-server     99

History

#1 - 2012-01-08 18:58 - Jean-Philippe Lang

- File ar.yml added

- Status changed from New to Closed

- Resolution set to Invalid

Indentation was missing from line 509 to the end of the file. Here is a valid file.

Please, let me know when it's complete, I'd be glad to add your translation to the core.

#2 - 2012-01-09 01:14 - Ahmad AlTwaijiry

Thanks

it is working fine now

Files

ar.yml 51 KB 2012-01-08 Ahmad AlTwaijiry

ar.yml 52 KB 2012-01-08 Jean-Philippe Lang

Powered by TCPDF (www.tcpdf.org)

2025-05-03 2/2

http://www.tcpdf.org

